{
  "cells": [
    {
      "cell_type": "markdown",
      "id": "VG9PY05cFJ_R",
      "metadata": {
        "id": "VG9PY05cFJ_R"
      },
      "source": [
        "# DSA 2024 S2 Assignment\n",
        "\n",
        "Member number: XXXXXX\n",
        "\n",
        "## Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this notebook.*\n",
        "\n",
        "*NB: In this notebook template, text and code cells have been created for:\n",
        "- 'step 1'; and\n",
        "- 'step 2/3/4 etc.'\n",
        "\n",
        "You should replicate this structure for each individual step you undertake under each of the question headings. *\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "XtZXmepZWbBz",
      "metadata": {
        "id": "XtZXmepZWbBz"
      },
      "source": [
        "## Packages\n",
        "This section imports the packages that are used in this notebook."
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "KQVVeMMzHYK2",
      "metadata": {
        "id": "KQVVeMMzHYK2"
      },
      "outputs": [],
      "source": [
        "# Package 1\n",
        "\n",
        "# Package 2/3/4 etc.\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "xoME0nrg1r9X",
      "metadata": {
        "id": "xoME0nrg1r9X"
      },
      "source": [
        "## Functions\n",
        "This section sets out user defined functions that are used in this notebook.\n",
        "\n",
        "If you prefer, you may instead choose to define these under the relevant assignment question section below."
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "bdb58870-1f66-4302-b7d5-1576d58e3dbf",
      "metadata": {
        "id": "bdb58870-1f66-4302-b7d5-1576d58e3dbf"
      },
      "outputs": [],
      "source": [
        "# Function 1\n",
        "\n",
        "# Function 2/3/4 etc.\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "1LOeKQASWwat",
      "metadata": {
        "id": "1LOeKQASWwat"
      },
      "source": [
        "## Import data\n",
        "This section imports the data that is used in this notebook.\n",
        "\n",
        "*You should include a reference to the dataset you have used here.*"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "PIuA9lJII86e",
      "metadata": {
        "id": "PIuA9lJII86e"
      },
      "outputs": [],
      "source": [
        "# Code for importing data"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "5jbUFlfRUCmH",
      "metadata": {
        "id": "5jbUFlfRUCmH"
      },
      "source": [
        "## Q1 - Explore and Prepare the data"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "7640511f-7f89-41bf-99b8-fd27f1ff4048",
      "metadata": {
        "id": "7640511f-7f89-41bf-99b8-fd27f1ff4048"
      },
      "source": [
        "### Q1a - Examine and the dataset\n",
        "#### Purpose:\n",
        "*Provide a ****clear**** and ****concise**** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*\n",
        "\n",
        "#### Cleaning Steps:\n",
        "*List 5 different cleaning steps and which data columns you will apply them to*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "ze6Gv4kr2yom",
      "metadata": {
        "id": "ze6Gv4kr2yom"
      },
      "source": [
        "#### Q1a Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a ****clear**** and ****concise**** outline here about the EDA and cleaning that you have conducted in the section below. This should include what you are doing and why.*"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "ff1278c5-cb17-4542-ab1c-631366898f27",
      "metadata": {
        "id": "ff1278c5-cb17-4542-ab1c-631366898f27"
      },
      "outputs": [],
      "source": [
        "# Q1a Step 1"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "00c8c00a-c189-4ce0-887e-d413ce6894b0",
      "metadata": {
        "id": "00c8c00a-c189-4ce0-887e-d413ce6894b0"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the EDA and cleaning conducted above.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "pu3zYh523in1",
      "metadata": {
        "id": "pu3zYh523in1"
      },
      "source": [
        "#### Q1a Step 2/3/4 etc.\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the EDA and cleaning that you have conducted in the section below. This should include what you are doing and why.*"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "KGEFavpK3k1X",
      "metadata": {
        "id": "KGEFavpK3k1X"
      },
      "outputs": [],
      "source": [
        "# Q1a Step 2/3/4 etc."
      ]
    },
    {
      "cell_type": "markdown",
      "id": "ySLmm_pI3n7W",
      "metadata": {
        "id": "ySLmm_pI3n7W"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the EDA and cleaning conducted above.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "2klLMrpl-r5U",
      "metadata": {
        "id": "2klLMrpl-r5U"
      },
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "yNelfxy5UQLm",
      "metadata": {
        "id": "yNelfxy5UQLm"
      },
      "source": [
        "### Q1b - Clean then Vectorise the 'Description' feature\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "*NB: If you choose to undertake some of the data cleaning in Question 1a, you should list these steps here so that markers of Question 1b are aware of all the cleaning steps you have undertaken.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "DYZlTpdBUQLz",
      "metadata": {
        "id": "DYZlTpdBUQLz"
      },
      "source": [
        "#### Q1b Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the cleaning steps that you have conducted in the section below. This should include what you are doing and why.*"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "yd0tA8O7UQLz",
      "metadata": {
        "id": "yd0tA8O7UQLz"
      },
      "outputs": [],
      "source": [
        "# Q1b Step 1"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "2b1f49b2",
      "metadata": {},
      "source": [
        "#### Q1b Step 2\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the vectorisation steps that you have conducted in the section below. This should include what you are doing and why.*"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "557f2065",
      "metadata": {},
      "outputs": [],
      "source": [
        "# Q1b Step 2"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "iFh43M0fUQL2",
      "metadata": {
        "id": "iFh43M0fUQL2"
      },
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "r2D2yMinUS_R",
      "metadata": {
        "id": "r2D2yMinUS_R"
      },
      "source": [
        "### Q1c - Summarise the dataset\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "_O-pIPbrUS_m",
      "metadata": {
        "id": "_O-pIPbrUS_m"
      },
      "source": [
        "#### Q1c Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a summary (500 words or less) of the dataset below, in language suitable for the Institute membership team*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "dc7f636d",
      "metadata": {},
      "source": [
        "*[write your answer here in this cell]*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "tXIkXc2hVZg1",
      "metadata": {
        "id": "tXIkXc2hVZg1"
      },
      "source": [
        "## Q2 - Choose a simpler, more effective way to group the CPD Hub's Assets"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "EKWXjyBPWBew",
      "metadata": {
        "id": "EKWXjyBPWBew"
      },
      "source": [
        "### Q2a - Suggest features for clustering\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section. (500 words or less)*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "e74eb619",
      "metadata": {},
      "source": [
        "*[write your answer here in this cell]*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "15ababee",
      "metadata": {},
      "source": [
        "### Q2b - Clustering\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "jSTLTiopzrh6",
      "metadata": {
        "id": "jSTLTiopzrh6"
      },
      "source": [
        "#### Q2b Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the clustering step that you have undertaken in the section below. This should include what you are doing and why.*\n",
        "\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "YAROP6CqaAuc",
      "metadata": {
        "id": "YAROP6CqaAuc"
      },
      "outputs": [],
      "source": [
        "# Q2a Step 1"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "vPKyRGij5A5a",
      "metadata": {
        "id": "vPKyRGij5A5a"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the clustering step undertaken above. Is the output what was expected? If not, why not?*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "L9VcdJJs8a5N",
      "metadata": {
        "id": "L9VcdJJs8a5N"
      },
      "source": [
        "#### Q2b Step 2/3/4 etc.\n",
        "\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the clustering step that you have undertaken in the section below. This should include what you are doing and why.*"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "OXkXP2fJ7SP5",
      "metadata": {
        "id": "OXkXP2fJ7SP5"
      },
      "outputs": [],
      "source": [
        "# Q2a Step 2/3/4 etc."
      ]
    },
    {
      "cell_type": "markdown",
      "id": "CaURxppl1Oxo",
      "metadata": {
        "id": "CaURxppl1Oxo"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the clustering step undertaken above. Is the output what was expected? If not, why not?*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "CQVXkTpO_aJ-",
      "metadata": {
        "id": "CQVXkTpO_aJ-"
      },
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "nhSpAKNJWacv",
      "metadata": {
        "id": "nhSpAKNJWacv"
      },
      "source": [
        "### Q2c - Examine the clustering outputs\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "i3Q84uz5Wac4",
      "metadata": {
        "id": "i3Q84uz5Wac4"
      },
      "source": [
        "#### Q2c Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the analysis that you have undertaken in the section below. This should include what you are doing and why.*\n",
        "\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "3fKumOWsWac4",
      "metadata": {
        "id": "3fKumOWsWac4"
      },
      "outputs": [],
      "source": [
        "# Q2c Step 1"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "cwuHjNF4Wac5",
      "metadata": {
        "id": "cwuHjNF4Wac5"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the analysis undertaken above.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "-ykdFebzWkQQ",
      "metadata": {
        "id": "-ykdFebzWkQQ"
      },
      "source": [
        "#### Q2c Step 2/3/4 etc.\n",
        "\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the  analysis that you have undertaken in the section below. This should include what you are doing and why.*"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "1w5E6JLqWac5",
      "metadata": {
        "id": "1w5E6JLqWac5"
      },
      "outputs": [],
      "source": [
        "# Q2c Step 2/3/4 etc."
      ]
    },
    {
      "cell_type": "markdown",
      "id": "21p6U6mtWac5",
      "metadata": {
        "id": "21p6U6mtWac5"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the analysis undertaken above.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "v8cg_KciWac5",
      "metadata": {
        "id": "v8cg_KciWac5"
      },
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "LZptfNoUWtrT",
      "metadata": {
        "id": "LZptfNoUWtrT"
      },
      "source": [
        "### Q2d - Suggest new CPD Hub groupings\n",
        "#### Answer:\n",
        "*Answer Q2d in the text cell below (remember the 500-word limit).*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "76986e0c",
      "metadata": {},
      "source": [
        "*[write your answer here in this cell]*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "mZv4K4RKYg7A",
      "metadata": {
        "id": "mZv4K4RKYg7A"
      },
      "source": [
        "## Q3 - Predict the future popularity of assets"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "ti6ZT0-SXyCX",
      "metadata": {
        "id": "ti6ZT0-SXyCX"
      },
      "source": [
        "### Q3a - Construct a response variable\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "22e0e3f5",
      "metadata": {},
      "source": [
        "#### Q3a Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the analysis and checks that you have undertaken in the section below. This should include what you are doing and why.*\n",
        "\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "4568499e",
      "metadata": {},
      "outputs": [],
      "source": [
        "# Q3a Step 1"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "f6163219",
      "metadata": {},
      "source": [
        "#### Q3a Step 2/3/4 etc.\n",
        "\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the  analysis and checks that you have undertaken in the section below. This should include what you are doing and why.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "90a9f24b",
      "metadata": {},
      "source": [
        "*[write your answer here in this cell]*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "71cb1e1c",
      "metadata": {},
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the analysis undertaken above.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "-JnY2X8wmr6g",
      "metadata": {
        "id": "-JnY2X8wmr6g"
      },
      "source": [
        "### Q3b Suggest 4 metrics\n",
        "#### Answer:\n",
        "*Answer Q3b in the text cell below.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "57fd7f8c",
      "metadata": {},
      "source": [
        "*[write your answer here in this cell]*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "UXG_N0_eV2U7",
      "metadata": {
        "id": "UXG_N0_eV2U7"
      },
      "source": [
        "### Q3c - Construct your neural network classifier\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "mown4CzpC19E",
      "metadata": {
        "id": "mown4CzpC19E"
      },
      "source": [
        "#### Q3c Step 1: Starting Model\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here (in this cell) about the initial model construction steps and model checks that you have undertaken in the code section below. This should include what you are doing and why.*\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "907bd4ee-2af5-4d41-861d-2643bb9af2d0",
      "metadata": {
        "id": "907bd4ee-2af5-4d41-861d-2643bb9af2d0"
      },
      "outputs": [],
      "source": [
        "# Q3c Step 1: Model Construction\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "8d795389",
      "metadata": {},
      "source": [
        "**Analysis**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here (in this cell) about the analysis of the model behaviours and drivers that you have undertaken in the code section below. This should include what you are doing and why.*\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "c85aa0f2",
      "metadata": {},
      "outputs": [],
      "source": [
        "# Q3c Step 1: Analysis of Model Behaviours and Drivers\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "7lUDXL7pFEVo",
      "metadata": {
        "id": "7lUDXL7pFEVo"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of conclusions from your model construction, checks, and analysis undertaken above.*\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "f42a6107",
      "metadata": {},
      "source": [
        "**Implications**  \n",
        "*Do any of your model checks imply the next required model iteration step?*\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "2b51ff76",
      "metadata": {},
      "source": [
        "#### Q3c Step 2: Intermediate Models\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here (in this cell) about the intermediate model(s) construction steps and model checks that you have undertaken in the code section below. This should include what you are doing and why (including which hyperparameter/architecture/feature selection changes you are making, and why).*\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "8223922b",
      "metadata": {},
      "outputs": [],
      "source": [
        "# Q3c Step 2: Model Construction\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "553de085",
      "metadata": {},
      "source": [
        "**Analysis**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here (in this cell) about the analysis of the model behaviours and drivers that you have undertaken in the code section below. This should include what you are doing and why.*\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "9b3e6c02",
      "metadata": {},
      "outputs": [],
      "source": [
        "# Q3c Step 2: Analysis of Model Behaviours and Drivers\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "1f2d59f5",
      "metadata": {},
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of conclusions from your model construction, checks, and analysis undertaken above.*\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "f891b869",
      "metadata": {},
      "source": [
        "**Implications**  \n",
        "*Do any of your model checks imply the next required model iteration step?*\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "8dc54c1e",
      "metadata": {},
      "source": [
        "#### Q3c Step 3: Final Model\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here (in this cell) about the final model construction steps and model checks that you have undertaken in the code section below. This should include what you are doing and why.*\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "a33e0e1a",
      "metadata": {},
      "outputs": [],
      "source": [
        "# Q3c Step 3: Model Construction\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "7232a3de",
      "metadata": {},
      "source": [
        "**Analysis**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here (in this cell) about the analysis of the model behaviours and drivers that you have undertaken in the code section below. This should include what you are doing and why.*\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "233362de",
      "metadata": {},
      "outputs": [],
      "source": [
        "# Q3c Step 3: Analysis of Model Behaviours and Drivers\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "8f7f9237",
      "metadata": {},
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of conclusions from your model construction, checks, and analysis undertaken above. Explain **why** this is your final model.*\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "e29976ec",
      "metadata": {},
      "source": [
        "### Q3d - Interpret your neural network classifier\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "6092211a",
      "metadata": {},
      "source": [
        "#### Q3d Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the model interpretation steps that you have undertaken in the section below. This should include what you are doing and why.*\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "f2520760",
      "metadata": {},
      "outputs": [],
      "source": [
        "# Q3d Step 1\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "3bb1fdda",
      "metadata": {},
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of conclusions from your model interpretation calculations undertaken above.*\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "1ef78bc0",
      "metadata": {},
      "source": [
        "#### Q3d Step 2/3/4 etc.\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the model interpretation steps that you have undertaken in the section below. This should include what you are doing and why.*"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "618836fc",
      "metadata": {},
      "outputs": [],
      "source": [
        "# Q3d Step 2/3/4 etc.\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "e8b22650",
      "metadata": {},
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the model interpretation calculations undertaken above.*\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "d02b5446",
      "metadata": {},
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ]
    }
  ],
  "metadata": {
    "colab": {
      "provenance": [],
      "toc_visible": true
    },
    "kernelspec": {
      "display_name": "Python 3",
      "language": "python",
      "name": "python3"
    },
    "language_info": {
      "codemirror_mode": {
        "name": "ipython",
        "version": 3
      },
      "file_extension": ".py",
      "mimetype": "text/x-python",
      "name": "python",
      "nbconvert_exporter": "python",
      "pygments_lexer": "ipython3",
      "version": "3.8.8"
    },
    "toc-autonumbering": false,
    "toc-showmarkdowntxt": false
  },
  "nbformat": 4,
  "nbformat_minor": 5
}
